# The Top-up object

### The Top-up object

```json
{
  "id": "tu_1NG6yj2eZvKYlo2C1FOBiHya",
  "object": "topup",
  "amount": 2000,
  "balance_transaction": null,
  "created": 123456789,
  "currency": "usd",
  "description": "Top-up for Jenny Rosen",
  "expected_availability_date": 123456789,
  "failure_code": null,
  "failure_message": null,
  "livemode": false,
  "source": null,
  "statement_descriptor": "Top-up",
  "status": "pending",
  "transfer_group": null
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `amount` (integer)
  Amount transferred.

- `balance_transaction` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the balance transaction that describes the impact of this top-up on your account balance. May not be specified depending on status of top-up.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (string)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `description` (string, nullable)
  An arbitrary string attached to the object. Often useful for displaying to users.

- `expected_availability_date` (integer, nullable)
  Date the funds are expected to arrive in your Stripe account for payouts. This factors in delays like weekends or bank holidays. May not be specified depending on status of top-up.

- `failure_code` (string, nullable)
  Error code explaining reason for top-up failure if available (see [the errors section](https://docs.stripe.com/api/errors.md) for a list of codes).

- `failure_message` (string, nullable)
  Message to user further explaining reason for top-up failure if available.

- `initiated_by` (enum, nullable)
  Indicates whether the top-up was initiated by Stripe or by the user.
Possible enum values:
  - `stripe`
    The top-up was initiated by Stripe.

  - `user`
    The top-up was initiated by the user.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `metadata` (map)
  Set of [key-value pairs](https://docs.stripe.com/api/metadata.md) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

- `payment_method` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  The ID of a PaymentMethod representing the payment method used for the top-up. A PaymentMethod of type `us_bank_account` can be used.

- [`payment_method_options`](https://docs.stripe.com/api/topups/object.md?query=payment_method_options) (object, nullable)
  Payment-method-specific configuration for this top-up.

- [`source`](https://docs.stripe.com/api/topups/object.md?query=source) (object, nullable)
  The source field is deprecated. It might not always be present in the API response.

- `statement_descriptor` (string, nullable)
  Extra information about a top-up. This will appear on your source’s bank statement. It must contain at least one letter.

- `status` (enum)
  The status of the top-up is either `canceled`, `failed`, `pending`, `reversed`, or `succeeded`.
Possible enum values:
  - `canceled`
  - `failed`
  - `pending`
  - `reversed`
  - `succeeded`

- `transfer_group` (string, nullable)
  A string that identifies this top-up as part of a group.
